Package org.wso2.carbon.application.deployer.synapse

## Class FileRegistryResourceDeployer

- java.lang.Object
- - org.wso2.carbon.application.deployer.synapse.FileRegistryResourceDeployer

- All Implemented Interfaces:
    `org.wso2.carbon.application.deployer.handler.AppDeploymentHandler`

      public class FileRegistryResourceDeployer
      extends Object
      implements org.wso2.carbon.application.deployer.handler.AppDeploymentHandler

  Carbon application deployer to deploy registry artifacts to file based registry

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONFIG_REGISTRY_PATH` |
    `static String` | `CONFIG_REGISTRY_PREFIX` |
    `static String` | `GOV_REGISTRY_PATH` |
    `static String` | `GOV_REGISTRY_PREFIX` |
    `static org.apache.commons.logging.Log` | `log` |
    `static String` | `REGISTRY_RESOURCE_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileRegistryResourceDeployer​(org.apache.synapse.registry.Registry lightweightRegistry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deployArtifacts​(org.wso2.carbon.application.deployer.CarbonApplication carbonApplication, org.apache.axis2.engine.AxisConfiguration axisConfiguration)` |
    `void` | `undeployArtifacts​(org.wso2.carbon.application.deployer.CarbonApplication carbonApplication, org.apache.axis2.engine.AxisConfiguration axisConfiguration)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static final org.apache.commons.logging.Log log

    - #### REGISTRY_RESOURCE_TYPE

          public static final String REGISTRY_RESOURCE_TYPE

      See Also:
        Constant Field Values

    - #### GOV_REGISTRY_PATH

          public static final String GOV_REGISTRY_PATH

      See Also:
        Constant Field Values

    - #### GOV_REGISTRY_PREFIX

          public static final String GOV_REGISTRY_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_REGISTRY_PATH

          public static final String CONFIG_REGISTRY_PATH

      See Also:
        Constant Field Values

    - #### CONFIG_REGISTRY_PREFIX

          public static final String CONFIG_REGISTRY_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileRegistryResourceDeployer

          public FileRegistryResourceDeployer​(org.apache.synapse.registry.Registry lightweightRegistry)

  - ### Method Detail

    - #### deployArtifacts

          public void deployArtifacts​(org.wso2.carbon.application.deployer.CarbonApplication carbonApplication,
                                      org.apache.axis2.engine.AxisConfiguration axisConfiguration)
                               throws org.apache.axis2.deployment.DeploymentException

      Specified by:
        `deployArtifacts` in interface `org.wso2.carbon.application.deployer.handler.AppDeploymentHandler`
      Throws:
        `org.apache.axis2.deployment.DeploymentException`

    - #### undeployArtifacts

          public void undeployArtifacts​(org.wso2.carbon.application.deployer.CarbonApplication carbonApplication,
                                        org.apache.axis2.engine.AxisConfiguration axisConfiguration)
                                 throws org.apache.axis2.deployment.DeploymentException

      Specified by:
        `undeployArtifacts` in interface `org.wso2.carbon.application.deployer.handler.AppDeploymentHandler`
      Throws:
        `org.apache.axis2.deployment.DeploymentException`